Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.plugin.system
Class SystemMethodsPlugin

    java.lang.Object
      org.encog.plugin.system.SystemMethodsPlugin

All Implemented Interfaces:
  EncogPluginBase, EncogPluginService1

    public class SystemMethodsPlugin

extends Object
implements EncogPluginService1

The system machine learning methods plugin. This provides all of the built in machine learning methods for Encog.

Field Summary

Fields inherited from interface org.encog.plugin.EncogPluginBase
`TYPE_LOGGING, TYPE_SERVICE`

Constructor Summary
`SystemMethodsPlugin()`

Method Summary
`ActivationFunction` | `createActivationFunction(String name)` Create an activation function.
`MLMethod` | `createMethod(String methodType, String architecture, int input, int output)` Create a new machine learning method.
`MLTrain` | `createTraining(MLMethod method, MLDataSet training, String type, String args)` Create a trainer.
`String` | `getPluginDescription()`
`String` | `getPluginName()`
`int` | `getPluginServiceType()`
`int` | `getPluginType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemMethodsPlugin

    public SystemMethodsPlugin()

Method Detail

### getPluginDescription

    public final String getPluginDescription()

  Specified by:
    `getPluginDescription` in interface `EncogPluginBase`
  Returns:
    The plugin description.

### getPluginName

    public final String getPluginName()

  Specified by:
    `getPluginName` in interface `EncogPluginBase`
  Returns:
    The name of the plugin.

### getPluginType

    public final int getPluginType()

  Specified by:
    `getPluginType` in interface `EncogPluginBase`
  Returns:
    This is a type-1 plugin.

### createActivationFunction

    public ActivationFunction createActivationFunction(String name)

  Create an activation function.

  Specified by:
    `createActivationFunction` in interface `EncogPluginService1`
  Parameters:
    `name` - The name of the activation function.
  Returns:
    The newly created activation function.

### createMethod

    public MLMethod createMethod(String methodType,
                                 String architecture,
                                 int input,
                                 int output)

  Create a new machine learning method.

  Specified by:
    `createMethod` in interface `EncogPluginService1`
  Parameters:
    `methodType` - The method to create.
    `architecture` - The architecture string.
    `input` - The input count.
    `output` - The output count.
  Returns:
    The newly created machine learning method.

### createTraining

    public MLTrain createTraining(MLMethod method,
                                  MLDataSet training,
                                  String type,
                                  String args)

  Create a trainer.

  Specified by:
    `createTraining` in interface `EncogPluginService1`
  Parameters:
    `method` - The method to train.
    `training` - The training data.
    `type` - Type type of trainer.
    `args` - The training args.
  Returns:
    The new training method.

### getPluginServiceType

    public int getPluginServiceType()

  Specified by:
    `getPluginServiceType` in interface `EncogPluginBase`
  Returns:
    The service type provided by this plugin.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.